import { VegaComponentName, VegaNativeEventNameType } from '../../../types/ui.type';
export interface JQueryDelegatedEventStrategy {
  getHostName(): VegaComponentName;
  getEventName(): VegaNativeEventNameType;
  handle(vegaHost: HTMLElement, detail?: unknown): Event;
  createEventTarget(vegaHost: HTMLElement): HTMLElement;
}
